<?php
/***************************************************************************
 *                               pagestart.php
 *                            -------------------
 *   begin                : Thursday, Aug 2, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: pagestart.php,v 1.3 2004/09/25 19:21:22 carls Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

if (!defined('IN_PHPBB'))
{
	die("Hacking attempt");
}

define('IN_ADMIN', true);
// Include files
include($phpbb_root_path . 'common.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_INDEX);
init_userprefs($userdata);
//
// End session management
//

// Begin PNphpBB2 Module
if (!pnSecAuthAction(0, 'PNphpBB2::', '::', ACCESS_ADMIN)) {
   redirect(append_sid("login.$phpEx&redirect=admin", true));
}
// End PNphpBB2 Module

if(!$userdata['session_logged_in'])
{
	redirect(append_sid("login.$phpEx?redirect=admin", true));
}
else if( $userdata['user_level'] != ADMIN )
{
	message_die(GENERAL_MESSAGE, $lang['Not_admin']);
}

// Begin PNphpBB2 Module
//if ($HTTP_GET_VARS['sid'] != $userdata['session_id'])
//{
//	$url = str_replace(preg_replace('#^\/?(.*?)\/?$#', '\1', trim($board_config['server_name'])), '', $HTTP_SERVER_VARS['REQUEST_URI']);
//	$url = str_replace(preg_replace('#^\/?(.*?)\/?$#', '\1', trim($board_config['script_path'])), '', $url);
//	$url = str_replace('//', '/', $url);
//	$url = preg_replace('/sid=([^&]*)(&?)/i', '', $url);
//	$url = preg_replace('/\?$/', '', $url);
//	$url .= ((strpos($url, '?')) ? '&' : '?') . 'sid=' . $userdata['session_id'];
//
//	redirect("index.$phpEx?sid=" . $userdata['session_id'], true);
//}
// End PNphpBB2 Module

if (empty($no_page_header))
{
	// Not including the pageheader can be neccesarry if META tags are
	// needed in the calling script.
// Begin PNphpBB2 Module
  include($phpbb_root_path . 'admin/page_header_admin.' . $phpEx);
// End PNphpBB2 Module
}
?>
